# Allowlist

The allowlist API provides the ability to allowlist specific addresses from being added to bounce list. You can allowlist by domain name (i.e example.com) or by specific address (i.e. alice@example.com). Mailgun doesn’t add an address to bounce list if the address is allowlisted. This API is very useful if you test against your private services and don’t want to constantly clean up bounce lists

 - [POST /v3/{domain_name}/whitelists/import](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/allowlist/post-v3--domainid--whitelists-import.md): Import a CSV file containing a list of addresses and/or domains to add to the allowlist. The CSV file must be 25MB or under and must contain the following column headers: address, domain. For each row
 - [GET /v3/{domain_name}/whitelists/{value}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/allowlist/get-v3--domainid--whitelists--value-.md): Fetch a single allowlist record to check if a given address or domain is present.
 - [DELETE /v3/{domain_name}/whitelists/{value}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/allowlist/delete-v3--domainid--whitelists--value-.md): Remove a single entry from the allowlist
 - [GET /v3/{domain_name}/whitelists](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/allowlist/get-v3--domainid--whitelists.md): Paginate over all allowlist records for a domain.
 - [POST /v3/{domain_name}/whitelists](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/allowlist/post-v3--domainid--whitelists.md): Add an address or domain to the allowlist table
 - [DELETE /v3/{domain_name}/whitelists](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/allowlist/delete-v3--domainid--whitelists.md): Delete an entire allowlist for a domain
